ATA_SCSIOP_NOOP(9)

NAME
ata_scsiop_noop - Command handler that simply returns success.

SYNOPSIS

unsigned int ata_scsiop_noop (struct ata_scsi_args * args, u8 * rbuf, unsigned int buflen);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

buflen
    Response buffer length.

DESCRIPTION

No operation. Simply returns success to caller, to indicate that the caller should successfully complete this SCSI command.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.